public class intfunc
{double xi[];
 double yi[];
 intset is;

 public intfunc(String dosya)
{double a[][]=Text.readDouble(dosya);
 double xi[]=a[0];
 double yi[]=a[1];
 int n=xi.length;
 is=new intset(n);
}

public void changeintset(intset isi)
{
 int n=xi.length;
 if(is.x.length!=n) System.err.println("boyut uyuşmazlığı");
 is=isi;
}

double func()
{double y=0;
 int n=is.x.length;
 for(int i=0;i<(n-1);i++) {y=Math.sqrt((xi[is.x[i+1]]*xi[is.x[i+1]]-xi[is.x[i]]*xi[is.x[i]])-
 yi[is.x[i+1]]*yi[is.x[i+1]]-yi[is.x[i]]*yi[is.x[i]]);}
 return y;
}

}